// ICE Browser - an extended example illustrating some finer points

import ice.htmlbrowser.Browser;
import java.awt.*;
import java.awt.event.*;

public class demo2 extends demo1 
	implements MouseListener {

	public static void main(String args[]) {
		Frame d = new demo2("http://www.icesoft.no");
		d.setSize(500,300);
		d.show();
	}

	public demo2(String loc) {
		super(loc);
		pup = new NavPopup(iceBrowser);
		add(pup);
		iceBrowser.addMouseListener(this);
	}

	protected PopupMenu pup;

	// MouseListener interface (for trapping mice) 

	/**
	  * UNIX and Win95 popupTrigger behave differently, so
	  * we need to handle this in processMouseEvent() (which
	  * we cant do here) or in both mousePressed and mouseReleased
	  */
	private void processPopup(MouseEvent e) {
		if (e.isPopupTrigger()) {
			Object o = e.getSource();
			if (o instanceof Component)
				pup.show((Component)o, e.getX(), e.getY());
		}
	}

	public void mousePressed(MouseEvent e) {
	  processPopup(e);
	}
 
        public void mouseClicked(MouseEvent e) { }
        public void mouseReleased(MouseEvent e) { 
	  processPopup(e);
	}
        public void mouseEntered(MouseEvent e) { }
        public void mouseExited(MouseEvent e) { }
}

class NavPopup extends PopupMenu implements ActionListener {
	MenuItem back = new MenuItem("Back");
	MenuItem fwd = new MenuItem("Fwd");
	MenuItem reload = new MenuItem("Reload");
 
	public NavPopup(Browser browser) {
		super("Navigation");
		add(back);
		add(fwd);
		add(reload);
		addActionListener(this);
		this.browser = browser;
	}
 
// ActionListener Interface
	public void actionPerformed(ActionEvent e) {
		String cmd = e.getActionCommand();
		if ("Back".equals(cmd)) browser.goBack();
		else if ("Fwd".equals(cmd)) browser.goForward();
		else if ("Reload".equals(cmd)) browser.reload();
	}

	private Browser browser;
}

